Bug 10796 - wu-ftpd-2.6.0-1 incomatabile with Cisco IOS 12.0 ftp client
wu-ftpd-2.6.0-1 incomatabile with Cisco IOS 12.0 ftp client
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-13 12:16 EDT by rjb
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-22 15:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rjb 2000-04-13 12:16:03 EDT
When attempting an ftp fetch of a file which does exist in the anonymoys
area of an ftp server running on a defaultly configured rehat 6.1 system
from a Cisco 7500 router running IOS 12.0, the ftp session "hangs" and
the client makes no progress; a ftpd daemon is left running on the linux
machine.  The following tcpdump shows the packets which have passed between
the machines up until the point of the hang.
Bizzarely, sometimes killing the ftpd process several times (the Cisco
retries) causes the ftp to get unjammed and work.

17:18:43.790839 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 60: 207.46.33.6.11044
> 207.46.33.26.21: S 2508789711:2508789711(0) win 4128 <mss 1460> (ttl 255,
id 0)
                         4500 002c 0000 0000 ff06 db4e cf2e 2106
                         cf2e 211a 2b24 0015 9589 17cf 0000 0000
                         6002 1020 cef7 0000 0204 05b4 0000
17:18:43.790876 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 58: 207.46.33.26.21 >
207.46.33.6.11044: S 751856492:751856492(0) ack 2508789712 win 32120 <mss
1460> (DF) (ttl 64, id 35534)
                         4500 002c 8ace 4000 4006 cf80 cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6b6c 9589 17d0
                         6012 7d78 c951 0000 0204 05b4
17:18:43.791334 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 60: 207.46.33.6.11044
> 207.46.33.26.21: . ack 1 win 4128 (ttl 255, id 1)
                         4500 0028 0001 0000 ff06 db51 cf2e 2106
                         cf2e 211a 2b24 0015 9589 17d0 2cd0 6b6d
                         5010 1020 4e67 0000 0000 0000 0000
17:18:44.179673 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 156: 207.46.33.26.21
> 207.46.33.6.11044: P 1:103(102) ack 1 win 32120 (DF) [tos 0x10] (ttl 64,
id 35538)
                         4510 008e 8ad2 4000 4006 cf0a cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6b6d 9589 17d0
                         5018 7d78 8bca 0000 3232 3020 7175 792e
                         6361 6d2e 756b 2e65 752e 6d69 6372 6f73
                         6f66 742e 636f 6d20 4654 5020 7365 7276
                         6572 2028 5665 7273 696f 6e20 7775 2d32
                         2e36 2e30 2831 2920 5468 7520 4f63 7420
                         3231 2031 323a 3237 3a30 3020 4544 5420
                         3139 3939 2920 7265 6164 792e 0d0a
17:18:44.180469 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 70: 207.46.33.6.11044
> 207.46.33.26.21: . 1:17(16) ack 103 win 4026 (ttl 255, id 2)
                         4500 0038 0002 0000 ff06 db40 cf2e 2106
                         cf2e 211a 2b24 0015 9589 17d0 2cd0 6bd3
                         5010 0fba c67a 0000 5553 4552 2061 6e6f
                         6e79 6d6f 7573 0d0a
17:18:44.180513 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 54: 207.46.33.26.21 >
207.46.33.6.11044: . ack 17 win 32120 (DF) [tos 0x10] (ttl 64, id 35539)
                         4510 0028 8ad3 4000 4006 cf6f cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6bd3 9589 17e0
                         5010 7d78 e098 0000
17:18:44.183094 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 122: 207.46.33.26.21
> 207.46.33.6.11044: P 103:171(68) ack 17 win 32120 (DF) [tos 0x10] (ttl
64, id 35540)
                         4510 006c 8ad4 4000 4006 cf2a cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6bd3 9589 17e0
                         5018 7d78 f6a7 0000 3333 3120 4775 6573
                         7420 6c6f 6769 6e20 6f6b 2c20 7365 6e64
                         2079 6f75 7220 636f 6d70 6c65 7465 2065
                         2d6d 6169 6c20 6164 6472 6573 7320 6173
                         2070 6173 7377 6f72 642e 0d0a
17:18:44.183750 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 76: 207.46.33.6.11044
> 207.46.33.26.21: . 17:39(22) ack 171 win 3958 (ttl 255, id 3)
                         4500 003e 0003 0000 ff06 db39 cf2e 2106
                         cf2e 211a 2b24 0015 9589 17e0 2cd0 6c17
                         5010 0f76 7daa 0000 5041 5353 2072 6f75
                         7465 7240 6369 7363 6f2e 636f 0d0a
17:18:44.186091 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 102: 207.46.33.26.21
> 207.46.33.6.11044: P 171:219(48) ack 39 win 32120 (DF) [tos 0x10] (ttl
64, id 35541)
                         4510 0058 8ad5 4000 4006 cf3d cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6c17 9589 17f6
                         5018 7d78 3420 0000 3233 3020 4775 6573
                         7420 6c6f 6769 6e20 6f6b 2c20 6163 6365
                         7373 2072 6573 7472 6963 7469 6f6e 7320
                         6170 706c 792e 0d0a
17:18:44.186686 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 62: 207.46.33.6.11044
> 207.46.33.26.21: . 39:47(8) ack 219 win 3910 (ttl 255, id 4)
                         4500 0030 0004 0000 ff06 db46 cf2e 2106
                         cf2e 211a 2b24 0015 9589 17f6 2cd0 6c47
                         5010 0f46 7c47 0000 5459 5045 2049 0d0a
17:18:44.187169 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 74: 207.46.33.26.21 >
207.46.33.6.11044: P 219:239(20) ack 47 win 32120 (DF) [tos 0x10] (ttl 64,
id 35542)
                         4510 003c 8ad6 4000 4006 cf58 cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6c47 9589 17fe
                         5018 7d78 4d07 0000 3230 3020 5479 7065
                         2073 6574 2074 6f20 492e 0d0a
17:18:44.187710 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 60: 207.46.33.6.11044
> 207.46.33.26.21: . 47:53(6) ack 239 win 3890 (ttl 255, id 5)
                         4500 002e 0005 0000 ff06 db47 cf2e 2106
                         cf2e 211a 2b24 0015 9589 17fe 2cd0 6c5b
                         5010 0f32 9d91 0000 5041 5356 0d0a
17:18:44.191011 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 103: 207.46.33.26.21
> 207.46.33.6.11044: P 239:288(49) ack 53 win 32120 (DF) [tos 0x10] (ttl
64, id 35543)
                         4510 0059 8ad7 4000 4006 cf3a cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6c5b 9589 1804
                         5018 7d78 5f55 0000 3232 3720 456e 7465
                         7269 6e67 2050 6173 7369 7665 204d 6f64
                         6520 2832 3037 2c34 362c 3333 2c32 362c
                         3730 2c31 3539 290d 0a
17:18:44.191766 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 60: 207.46.33.6.11045
> 207.46.33.26.18079: S 2509190731:2509190731(0) win 4128 <mss 1460> (ttl
255, id 0)
                         4500 002c 0000 0000 ff06 db4e cf2e 2106
                         cf2e 211a 2b25 469f 958f 364b 0000 0000
                         6002 1020 69ea 0000 0204 05b4 0000
17:18:44.191812 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 58:
207.46.33.26.18079 > 207.46.33.6.11045: S 753327768:753327768(0) ack
2509190732 win 32120 <mss 1460> (DF) (ttl 64, id 35544)
                         4500 002c 8ad8 4000 4006 cf76 cf2e 211a
                         cf2e 2106 469f 2b25 2ce6 de98 958f 364c
                         6012 7d78 f101 0000 0204 05b4
17:18:44.192254 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 60: 207.46.33.6.11045
> 207.46.33.26.18079: . ack 1 win 4128 (ttl 255, id 1)
                         4500 0028 0001 0000 ff06 db51 cf2e 2106
                         cf2e 211a 2b25 469f 958f 364c 2ce6 de99
                         5010 1020 7617 0000 0000 0000 0000
17:18:44.192424 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 68: 207.46.33.6.11044
> 207.46.33.26.21: . 53:67(14) ack 288 win 3841 (ttl 255, id 6)
                         4500 0036 0006 0000 ff06 db3e cf2e 2106
                         cf2e 211a 2b24 0015 9589 1804 2cd0 6c8c
                         5010 0f01 65db 0000 5245 5452 2070 7562
                         2f66 6f6f 0d0a
17:18:44.193288 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 119: 207.46.33.26.21
> 207.46.33.6.11044: P 288:353(65) ack 67 win 32120 (DF) [tos 0x10] (ttl
64, id 35545)
                         4510 0069 8ad9 4000 4006 cf28 cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6c8c 9589 1812
                         5018 7d78 ac9f 0000 3135 3020 4f70 656e
                         696e 6720 4249 4e41 5259 206d 6f64 6520
                         6461 7461 2063 6f6e 6e65 6374 696f 6e20
                         666f 7220 7075 622f 666f 6f20 2834 3720
                         6279 7465 7329 2e0d 0a
17:18:44.193777 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 101:
207.46.33.26.18079 > 207.46.33.6.11045: P 1:48(47) ack 1 win 32120 (DF)
[tos 0x10] (ttl 64, id 35546)
                         4510 0057 8ada 4000 4006 cf39 cf2e 211a
                         cf2e 2106 469f 2b25 2ce6 de99 958f 364c
                         5018 7d78 4ad3 0000 696e 7465 7266 6163
                         6520 5475 6e6e 656c 330a 6465 7363 7269
                         7074 696f 6e20 7475 6e6e 656c 2074 6872
                         6565 0a65 6e64 0a
17:18:44.193843 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 54:
207.46.33.26.18079 > 207.46.33.6.11045: F 48:48(0) ack 1 win 32120 (DF)
[tos 0x10] (ttl 64, id 35547)
                         4510 0028 8adb 4000 4006 cf67 cf2e 211a
                         cf2e 2106 469f 2b25 2ce6 dec8 958f 364c
                         5011 7d78 088f 0000
17:18:44.194382 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 60: 207.46.33.6.11045
> 207.46.33.26.18079: . ack 49 win 16337 (ttl 255, id 2)
                         4500 0028 0002 0000 ff06 db50 cf2e 2106
                         cf2e 211a 2b25 469f 958f 364c 2ce6 dec9
                         5010 3fd1 4636 0000 0000 0000 0000
17:18:44.194452 0:d0:97:c1:3c:0 0:10:5a:c4:40:ce 0800 64: 207.46.33.6.11044
> 207.46.33.26.21: . 67:77(10) ack 353 win 3776 urg 3 (ttl 255, id 7)
                         4500 0032 0007 0000 ff06 db41 cf2e 2106
                         cf2e 211a 2b24 0015 9589 1812 2cd0 6ccd
                         5030 0ec0 b071 0003 fff4 fff2 4142 4f52
                         0d0a
17:18:44.197303 0:10:5a:c4:40:ce 0:d0:97:c1:3c:0 0800 54: 207.46.33.26.21 >
207.46.33.6.11044: . ack 77 win 32120 (DF) [tos 0x10] (ttl 64, id 35548)
                         4510 0028 8adc 4000 4006 cf66 cf2e 211a
                         cf2e 2106 0015 2b24 2cd0 6ccd 9589 181c
                         5010 7d78 df62 0000
Comment 1 Pekka Savola 2000-07-14 05:58:16 EDT
This is/was an issue with wu-ftpd, not ftp package.

I suspect Cisco's ftp is broken and since wu-ftpd is nowadays configured without
-DSUPPORT_BROKEN_CLIENTS (or something like that), the ftp process might stall.
Comment 2 Bernhard Rosenkraenzer 2000-08-07 08:24:39 EDT
True - it's a bug in their client, and needs to be fixed there.

Note You need to log in before you can comment on or make changes to this bug.